/* basicfunc.h, (basic) functions, used by more than one cgi

 * Copyright (C) 2001,2002 M.C. Bezemer
 *
 * Licensed under the terms of the GNU General Public License.
 * ABSOLUTELY NO WARRANTY.
 * See the file `COPYING' in this directory.
 */

#ifndef BASICFUNC_H
#define BASICFUNC_H

void OpenTAS_send_pagestart(int nocache, int expire, int error_title,
			    char *extra_head_stuff);

void OpenTAS_errormsg(char *string);

void OpenTAS_get_session_data(char *session_id, char **username,
			      char **password, char **tas_stud_id);

void OpenTAS_check_foutnr(char *session_id);

void OpenTAS_check_status_1(char *session_id);

void OpenTAS_navigate(char *session_id);

void OpenTAS_back_to_search_results(char *session_id,
				    char *ot_evn_soort,
				    char *ot_tas_ople_id,
				    char *ot_vak_type,
				    char *ot_tas_vak_id,
				    char *ot_oe_code,
				    char *ot_van_datum,
				    char *ot_tot_datum);

void OpenTAS_show_personal_data(char *session_id);

void OpenTAS_write_URL(char *tasvalue, char *prefix, char *suffix);

void OpenTAS_malloc_error(char *session_id);

void OpenTAS_invalid_tasdata(char *session_id);

#endif
