/* cleanup_sessionfile.c, cleans up the sessions file, removing
 * old (timed out) sessions.

 * Copyright (C) 2001,2002 M.C. Bezemer
 *
 * Licensed under the terms of the GNU General Public License.
 * ABSOLUTELY NO WARRANTY.
 * See the file `COPYING' in this directory.
 */

#include <stdio.h>

#include "session.h"

int main(void)
{
	int status=0;

	status=cleanup_sessionfile();
	if (status<0) {
		printf("Error cleaning up sessionfile (%d)\n",status);
		exit(1);
	}
	if (status!=0) {
		printf("Removed %d session(s).\n",status);
	}

	return 0;
}
