/* session.h, session management routines originally designed for OpenTAS

 * Copyright (C) 2001,2002 M.C. Bezemer
 *
 * Licensed under the terms of the GNU General Public License.
 * ABSOLUTELY NO WARRANTY.
 * See the file `COPYING' in this directory.
 */

#ifndef SESSION_H
#define SESSION_H

int save_session_data(char *username, char *password, char *tas_stud_id, char **ses_id);
int get_session_data(char *ses_id, char **username, char **password, char **tas_stud_id);
int change_session_password(char *ses_id, char *newpassword);
int destroy_session(char *ses_id);
int session_exists(char *ses_id);
int cleanup_sessionfile();

#endif
